# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['discord_bot_cli',
 'discord_bot_cli.commands',
 'discord_bot_cli.commands.extensions',
 'discord_bot_cli.commands.migrations',
 'discord_bot_cli.commands.models',
 'discord_bot_cli.commands.new',
 'discord_bot_cli.commands.run',
 'discord_bot_cli.commands.seeds',
 'discord_bot_cli.templates']

package_data = \
{'': ['*']}

install_requires = \
['orator>=0.9.9,<0.10.0', 'requests>=2.23.0,<3.0.0']

entry_points = \
{'console_scripts': ['dbot = '
                     'discord_bot_cli.commands.application:application.run']}

setup_kwargs = {
    'name': 'discord-bot-cli',
    'version': '0.6.4',
    'description': 'A discord bot project helper with a useful command line interface',
    'long_description': "|version| |python|\n\nDiscord Bot CLI\n===============\n\nAn easy way to keep your discord bot projects consistant and work with\ntheir database using the command line. Inspired by `Orator\nORM <https://github.com/sdispater/orator>`__.\n\nInstallation\n------------\n\npip install discord-bot-cli\n\nOverview\n--------\n\nPrefix: ``dbot``\n\nAvailable commands:\n\n::\n\n    branches          Available branches of the discord bot base\n    docstring         Generate a docstring from a table name\n    help              Displays help for a command\n    list              Lists commands\n    migrate           Run the database migrations.\n    new               Creates a new discord bot base.\n    db\n    db:seed           Seed the database with records.\n    make\n    make:cog          Creates a new Cog extension.\n    make:command      Creates a new Command extension.\n    make:migration    Create a new migration file.\n    make:model        Creates a new Model class.\n    make:seed         Create a new seeder file.\n    migrate\n    migrate:install   Create the migration repository.\n    migrate:refresh   Reset and re-run all migrations.\n    migrate:reset     Rollback all database migrations.\n    migrate:rollback  Rollback the last database migration.\n    migrate:status    Show a list of migrations up/down.\n\nUsage\n~~~~~\n\nThis package is built off of the Orator ORM and most of the commands\nwork the same way as in their\n`documentation <https://orator-orm.com/docs/0.9/>`__.\n\nExample\n-------\n\n.. code:: text\n\n    dbot new bot_project --token=8675309 \n\nWould create a new full bot project directory called ``bot_project`` and\nwill download the latest version of the `discord bot\nframework <https://github.com/stroupbslayen/discord-bot>`__. You can\nalways change the token and your database connections in the\n``config.yaml`` file in your projects main directory.\n\nCD into the project directory and you can easily add a cog/command using\nthe ``make`` command:\n\n.. code:: text\n\n    dbot make:cog new_cog\n    dbot make:command new_command\n\nIf you don't need something so complex, you can use the ``-s`` or\n``--simple`` flag. This will create a basic single file discord bot:\n\n.. code:: text\n\n    dbot new simple_bot -s -t 8675309\n\nRequirements\n~~~~~~~~~~~~\n\n::\n\n    orator==0.9.9\n    requests\n\nLicense\n-------\n\nThis project is licensed under MIT - see the `LICENSE <LICENSE>`__ file\nfor details.\n\nNotes\n~~~~~\n\n`Here is the bot scaffolding the cli will\ndownload <https://github.com/stroupbslayen/discord-bot>`__.\n\nDifferent versions can be specified with the ``-b, --branch=BRANCH``\noption for the new command.\n\nDocumentation for the `Orator ORM <https://orator-orm.com/docs/0.9/>`__\n\nDocumentation for\n`discord.py <https://discordpy.readthedocs.io/en/latest/>`__\n\n[v0.6]\n======\n\nChangelog\n---------\n\n-  Added a ``-s`` / ``--simple`` option to the ``new`` command that will\n   create a simple single bot file. For when you don't need something so\n   robust. Example ``dbot new simple_bot -s -t 8675309``\n-  Added a ``docstring`` command to generate information about a table.\n   Example ``dbot docstring user_table``\n\n.. |version| image:: https://img.shields.io/pypi/v/discord-bot-cli\n.. |python| image:: https://img.shields.io/badge/python-3.6+-blue\n",
    'author': 'StroupBSlayen',
    'author_email': None,
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/stroupbslayen/discord-bot-cli',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.6,<4.0',
}


setup(**setup_kwargs)
